## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#
# Copyright (C) 2024 Red Hat, Inc
#
%bcond_without check
%global debug_package %{nil}

Name:           thin-merge
Version:        0.1.0
Release:        %autorelease
Summary:        Merge external snapshot's origin into thin volume
License: GPL-3.0-only AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND MIT AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)

URL: https://github.com/mingnus/thin-merge
Source0: https://github.com/mingnus/thin-merge/archive/v%{version}.tar.gz
Source1: thin-merge-%{version}-vendor.tar.gz
Patch1: 0001-Tweak-cargo.toml-to-work-with-vendor-directory.patch
Patch2: 0002-Add-GPLv3-license.patch

%if %{defined rhel}
BuildRequires: rust-toolset
%else
BuildRequires: rust-packaging
BuildRequires: rust >= 1.35
BuildRequires: cargo
%endif
BuildRequires: make
%if %{with check}
BuildRequires: device-mapper-persistent-data
%endif

Recommends: device-mapper-persistent-data

%description
thin_merge merges the data mappings of a dm-thin external snapshot with its
origin, turning the external snapshot into a regular dm-thin device. This
functionality is essential for live block copying from the external origin.

%prep
%autosetup -p1 -n thin-merge-%{version} -a1
%cargo_prep -v vendor

%generate_buildrequires


%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%cargo_vendor_manifest


%if %{with check}
%check
%cargo_test
%endif


%install
%make_install


%files
%doc README.md
%license COPYING
%license LICENSE.dependencies
%license cargo-vendor.txt
%{_mandir}/man8/thin_merge.8.gz
%{_sbindir}/thin_merge


%changelog
## START: Generated by rpmautospec
* Wed Aug 07 2024 Marian Csontos <mcsontos@redhat.com> - 0.1.0-3
- Add missing COPYING

* Fri Jul 26 2024 Marian Csontos <mcsontos@redhat.com> - 0.1.0-2
- Tests need DMPD installed

* Fri Jul 26 2024 Marian Csontos <mcsontos@redhat.com> - 0.1.0-1
- Initial spec for thin-merge-0.1.0
## END: Generated by rpmautospec
